#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "RadialMenuParameters.h"
#include "K36RadialSelectionComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UK36RadialSelectionComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FRadialMenuParameters _radialMenuParameters;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _debugShowTimeAfterMenuCloses;

public:
	UK36RadialSelectionComponent();
};

FORCEINLINE uint32 GetTypeHash(const UK36RadialSelectionComponent) { return 0; }
